summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Zhu Qun-Ying <zhu.qunying@gmail.com>2012-12-14 21:46:39 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-15 15:13:39 +0100
commitcc319011499697c80b8f0819ee3e57838f80dbbf (patch)
treed9e62c9f3cb41bbc0223af866428e14fa43a0e44 /development
parent1b9a3994d1a68e27677a3075265798dd31e7d0a2 (diff)
downloadslackbuilds-cc319011499697c80b8f0819ee3e57838f80dbbf.tar.gz
slackbuilds-cc319011499697c80b8f0819ee3e57838f80dbbf.tar.xz
development/global: Added (source code tagging system).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/global/README9
-rw-r--r--development/global/global.SlackBuild108
-rw-r--r--development/global/global.info10
-rw-r--r--development/global/slack-desc20
4 files changed, 147 insertions, 0 deletions
diff --git a/development/global/README b/development/global/README
new file mode 100644
index 0000000000..a3983bde4c
--- /dev/null
+++ b/development/global/README
@@ -0,0 +1,9 @@
+global (source code tagging system)
+
+GNU GLOBAL is a source code tagging system that works the same way
+across diverse environments (emacs, vi, less, bash, web browser, etc).
+You can locate objects in source files and move there easily.
+It is useful for hacking a large project containing many subdirectories,
+many #ifdef and many main() functions. It is similar to ctags or etags
+but is different from them at the point of independence of any editor.
+It runs on a UNIX(POSIX) compatible operating system like GNU and BSD.
diff --git a/development/global/global.SlackBuild b/development/global/global.SlackBuild
new file mode 100644
index 0000000000..ce0c6192b0
--- /dev/null
+++ b/development/global/global.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for global
+
+# Copyright 2012 Zhu Qun-Ying <zhu.qunying@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=global
+VERSION=${VERSION:-6.2.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+(cd $PKG/usr/share/gtags; mv AUTHORS BOKIN_MODEL BOKIN_MODEL_FAQ BUILD_TOOLS \
+ COPYING ChangeLog DONORS FAQ INSTALL LICENSE NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/global/global.info b/development/global/global.info
new file mode 100644
index 0000000000..9caf3d9e4b
--- /dev/null
+++ b/development/global/global.info
@@ -0,0 +1,10 @@
+PRGNAM="global"
+VERSION="6.2.5"
+HOMEPAGE="http://www.gnu.org/software/global/"
+DOWNLOAD="http://tamacom.com/global/global-6.2.5.tar.gz"
+MD5SUM="38728f942e048a1ba22043d482caf2f2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/development/global/slack-desc b/development/global/slack-desc
new file mode 100644
index 0000000000..7d2e21aff0
--- /dev/null
+++ b/development/global/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+global: global - source code tagging system
+global:
+global: GNU GLOBAL is a source code tagging system that works the same way
+global: across diverse environments (emacs, vi, less, bash, web browser, etc).
+global: You can locate objects in source files and move there easily.
+global: It is useful for hacking a large project containing many subdirectories,
+global: many #ifdef and many main() functions. It is similar to ctags or etags
+global: but is different from them at the point of independence of any editor.
+global: It runs on a UNIX(POSIX) compatible operating system like GNU and BSD.
+global:
+global: Homepage: http://www.gnu.org/software/global/
+global: